Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.midi
Interface Receiver

public interface Receiver

A `Receiver` receives ``MidiEvent`` objects and typically does something useful in response, such as interpreting them to generate sound or raw MIDI output. Common MIDI receivers include synthesizers and MIDI Out ports.

See Also:
  `MidiDevice`, `Synthesizer`, `Transmitter`

Method Summary
`void` | `close()` Indicates that the application has finished using the receiver, and that limited resources it requires may be released or made available.
`void` | `send(MidiMessage message, long timeStamp)` Sends a MIDI message and time-stamp to this receiver.

Method Detail

### send

    public void send(MidiMessage message,
                     long timeStamp)

  Sends a MIDI message and time-stamp to this receiver. If time-stamping is not supported by this receiver, the time-stamp value should be -1.
  Parameters:
    `message` - the MIDI message to send
    `time-stamp` - the time-stamp for the message, in microseconds.
  Throws:
    `IllegalStateException` - if the receiver is not open

### close

    public void close()

  Indicates that the application has finished using the receiver, and that limited resources it requires may be released or made available. Invoking methods on a receiver which has been closed may cause an `IllegalArgumentException` or other exception to be thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.